【漏洞预警】思科Elastic Services Controller REST API身份验证绕过漏洞

发布时间 2019-05-09




1.背景描述


5月7日思科发布公告修复Elastic Services Controller(ESC)中的身份验证绕过漏洞(CVE-2019-1867)。该漏洞可允许未经身份验证的远程攻击者绕过REST API中的身份验证。


2.影响范围


CVE ID  :   CVE-2019-1867    
漏洞等级:   严重
影响范围:   Elastic Services Controller  4.1、4.2、4.3、4.4 

CVSS评分:   10.0


3.漏洞详情


该漏洞是由于REST API请求的不正确验证造成的。攻击者可通过向REST API发送恶意请求来利用此漏洞。成功利用可允许攻击者通过REST API执行任意操作,并获得管理权限。


由于ESC默认未启用REST API,管理员可通过运行命令sudo netstat -tlnup | grep '8443|8080'查看当前是否启用了REST API。以下示例为在端口8443上启用了REST API服务的输出结果:


4.修复建议


此漏洞已在Cisco Elastic Services Controller版本4.5中修复。其它补丁可用的版本见下表:


5.参考链接


https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20190507-esc-authbypass